package com.ruoyi.system.domain.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author zhuqing
 * @Date 2022/8/4
 */
@ApiModel(value = "PcTPatintQueryByPageReq", description = "PC端分页患者入参实体")
public class PcTPatintQueryByPageReq {

    @ApiModelProperty("医院id")
    private Long hospitalId;

    @ApiModelProperty("医生id")
    private Long doctorId;
    /**
     * startTime
     */
    @ApiModelProperty("开始时间")
    private Date startTime;

    /**
     * endTime
     */
    @ApiModelProperty("结束时间")
    private Date endTime;

    /** 编号 */
    @ApiModelProperty("编号")
    private String identifier;

    /** 名称 */
    @ApiModelProperty("名称")
    private String name;

    /** 名称 */
    @ApiModelProperty("医生名称")
    private String doctorName;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除） ")
    private String delFlag;

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Long getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Long doctorId) {
        this.doctorId = doctorId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }
}
